## custodia 0.1.0

=== Makefile ===
all: lint pep8 test docs
	echo "All tests passed"

lint:
	# Analyze code
	# don't show recommendations, info, comments, report
	# W0613 - unused argument
	# Ignore cherrypy class members as they are dynamically added
	pylint -d c,r,i,W0613 -r n -f colorized \
		   --notes= \
		   --disable=star-args \
		   ./custodia

pep8:
	# Check style consistency
	pep8 custodia

clean:
	rm -fr build dist *.egg-info
	find ./ -name '*.pyc' -exec rm -f {} \;

cscope:
	git ls-files | xargs pycscope

test:
	pylint -d c,r,i,W0613 -r n -f colorized \
		   --notes= \
		   --disable=star-args \
		   ./tests
	pep8 tests
	rm -f .coverage
	tox

DOCS_DIR = docs
.PHONY: docs

docs:
	$(MAKE) -C $(DOCS_DIR) html

=== requirements.txt ===
jwcrypto
six

=== debian/changelog ===
custodia (0.1.0-5ubuntu1) xenial; urgency=medium

  * disable tests, they fail on ubuntu buildd for some reason.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Mar 2016 09:30:31 +0200

custodia (0.1.0-5) unstable; urgency=medium

  * rules: Run tox directly instead via 'make tests'.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Mar 2016 00:16:46 +0200

custodia (0.1.0-4) unstable; urgency=medium

  * Don't run sphinx or python3 tests, they need network and have other
    issues.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Mar 2016 23:58:01 +0200

custodia (0.1.0-3) unstable; urgency=medium

  * fix-tox-env-for-machine-installed-python-version.diff: Look harder
    for local extensions.
  * dont-install-deps.diff: Don't try to install deps from the network,
    and disable doc target. (Closes: #808640)
  * control: Add python-{flake8,pep8-naming,sphinx} to build-deps.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 02 Jan 2016 13:10:19 +0200

custodia (0.1.0-2) unstable; urgency=medium

  * Fix copyright, uses GPL-3+ instead of LGPL.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Oct 2015 09:55:27 +0300

custodia (0.1.0-1) unstable; urgency=low

  * Initial upload. (Closes: #800735)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Oct 2015 13:26:38 +0300

=== debian/control ===
Source: custodia
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pep8,
 pylint,
 pylint3,
 python-all (>= 2.6.6-3),
 python-coverage,
 python-flake8,
 python-jwcrypto,
 python-pep8-naming,
 python-pytest,
 python-setuptools,
 python-six,
 python3-all (>= 2.6.6-3),
 python3-coverage,
 python3-flake8,
 python3-jwcrypto,
 python3-pep8-naming,
 python3-pytest,
 python3-setuptools,
 python3-six,
 tox,
Standards-Version: 3.9.6
Homepage: https://github.com/simo5/custodia

Package: custodia
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-custodia,
 python-jwcrypto,
Description: Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.

Package: python-custodia
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-jwcrypto,
Description: Python bindings to Custodia -- Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.
 .
 This package includes the bindings for python2.

Package: python3-custodia
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python3-jwcrypto,
Description: Python3 bindings to Custodia -- Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.
 .
 This package includes the bindings for python3.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 02 Oct 2015 13:26:38 +0300
export PYBUILD_NAME=custodia
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
#	tox -e py27

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/custodia/usr/share/doc
	mv debian/python-custodia/usr/share/doc/custodia \
		debian/custodia/usr/share/doc
	mv debian/python-custodia/usr/share/man \
		debian/custodia/usr/share/
	mv debian/python-custodia/usr/bin \
		debian/custodia/usr/sbin
	find debian/python*/ -name '*.egg-info' -exec rm '{}' ';'
	find debian/.*/ -name 'LICENSE' -exec rm '{}' ';'
	for i in bin share/doc/custodia share/man; do \
		rm -rf debian/python3-custodia/usr/$$i; done

=== debian/watch ===
# please also check http://pypi.debian.net/custodia/watch
version=3
https://github.com/simo5/custodia/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## custodia 0.5.0

=== Makefile ===
CONF := custodia.conf
PREFIX := /usr
PYTHON := python3
TOX := $(PYTHON) -m tox --sitepackages
DOCS_DIR = docs
SERVER_SOCKET = $(CURDIR)/server_socket

RPMBUILD = $(CURDIR)/dist/rpmbuild

VERSION ?= $(shell $(PYTHON) setup.py --quiet version)

DOCKER_CMD = docker
DOCKER_IMAGE = latchset/custodia
DOCKER_RELEASE_ARGS = --no-cache=true --pull=true

CONTAINER_NAME = custodia_container
CONTAINER_VOL = $(CURDIR)/vol
CONTAINER_SOCKET = $(CONTAINER_VOL)/run/sock
CONTAINER_CLI = $(CONTAINER_VOL)/custodia-cli

# helper script for demo
define CUSTODIA_CLI_SCRIPT
#!/bin/sh
set -e
PYTHONPATH=$(CURDIR)/src $(PYTHON) -Wignore -m custodia.cli \
    --server $(CONTAINER_SOCKET) $$@
endef
export CUSTODIA_CLI_SCRIPT


.NOTPARALLEL:
.PHONY: all clean clean_socket cscope docs lint pep8 test

all: clean_socket lint pep8 test docs
	echo "All tests passed"

clean_socket:
	rm -f $(SERVER_SOCKET) $(CONTAINER_SOCKET)

clean_coverage:
	rm -f .coverage .coverage.*

lint: clean_socket
	$(TOX) -e lint

pep8: clean_socket
	$(TOX) -e pep8py2
	$(TOX) -e pep8py3

clean: clean_socket clean_coverage
	rm -fr build dist *.egg-info .tox MANIFEST .cache
	rm -f custodia.audit.log secrets.db
	rm -rf docs/build
	find ./ -name '*.py[co]' -exec rm -f {} \;
	find ./ -depth -name __pycache__ -exec rm -rf {} \;
	rm -rf tests/tmp
	rm -rf vol

cscope:
	git ls-files | xargs pycscope

test: clean_socket clean_coverage
	$(TOX) --skip-missing-interpreters -e py27
	$(TOX) --skip-missing-interpreters -e py34
	$(TOX) --skip-missing-interpreters -e py35
	$(TOX) --skip-missing-interpreters -e py36
	$(TOX) --skip-missing-interpreters -e doc
	$(TOX) -e coverage-report

README: README.md
	echo -e '.. WARNING: AUTO-GENERATED FILE. DO NOT EDIT.\n' > $@
	pandoc --from=markdown --to=rst $< >> $@

$(DOCS_DIR)/source/readme.rst: README
	grep -ve '^|Build Status|' < $< | grep -v travis-ci.org > $@

docs: $(DOCS_DIR)/source/readme.rst
	sort $(DOCS_DIR)/source/spelling_wordlist.txt > \
	    $(DOCS_DIR)/source/spelling_wordlist.txt.bak
	mv $(DOCS_DIR)/source/spelling_wordlist.txt.bak \
	    $(DOCS_DIR)/source/spelling_wordlist.txt
	PYTHONPATH=$(CURDIR)/src \
	    $(MAKE) -C $(DOCS_DIR) html SPHINXBUILD="$(PYTHON) -m sphinx"

.PHONY: install egg_info run packages release releasecheck
install: clean_socket egg_info
	$(PYTHON) setup.py install --root "$(PREFIX)"
	install -d "$(PREFIX)/share/man/man7"
	install -t "$(PREFIX)/share/man/man7" man/custodia.7
	install -d "$(PREFIX)/share/doc/custodia/examples"
	install -t "$(PREFIX)/share/doc/custodia" LICENSE README API.md
	install -t "$(PREFIX)/share/doc/custodia/examples" custodia.conf

egg_info:
	$(PYTHON) setup.py egg_info

packages: egg_info README
	$(PYTHON) setup.py packages
	cd dist && for F in *.gz; do sha512sum $${F} > $${F}.sha512sum.txt; done

release: clean
	@echo "dnf install python3-wheel python3-twine"
	$(MAKE) packages
	@echo -e "\nCustodia release"
	@echo -e "----------------\n"
	@echo "* Upload all release files to github:"
	@echo "  $$(find dist -type f -printf '%p ')"
	@echo "* Upload source dist and wheel to PyPI:"
	@echo "  twine-3 upload dist/*.gz dist/*.whl"

releasecheck: clean
	@ # ensure README is rebuild
	touch README.md
	$(MAKE) README $(DOCS_DIR)/source/readme.rst
	@ # check for version in spec
	grep -q 'version $(VERSION)' custodia.spec || exit 1
	@ # re-run tox
	tox -r
	$(MAKE) packages
	$(MAKE) rpm
	$(MAKE) dockerbuild

run: egg_info
	$(PYTHON) $(CURDIR)/bin/custodia $(CONF)


.PHONY: rpmroot rpmfiles rpm
rpmroot:
	mkdir -p $(RPMBUILD)/BUILD
	mkdir -p $(RPMBUILD)/RPMS
	mkdir -p $(RPMBUILD)/SOURCES
	mkdir -p $(RPMBUILD)/SPECS
	mkdir -p $(RPMBUILD)/SRPMS

rpmfiles: rpmroot packages
	mv dist/custodia-$(VERSION).tar.gz* $(RPMBUILD)/SOURCES
	cp contrib/config/custodia/custodia.conf $(RPMBUILD)/SOURCES/
	cp contrib/config/systemd/system/custodia@.service $(RPMBUILD)/SOURCES/
	cp contrib/config/systemd/system/custodia@.socket $(RPMBUILD)/SOURCES/
	cp contrib/config/tmpfiles.d/custodia.conf $(RPMBUILD)/SOURCES/custodia.tmpfiles.conf

rpm: clean rpmfiles egg_info
	rpmbuild \
	    --define "_topdir $(RPMBUILD)" \
	    --define "version $(VERSION)" \
	    -ba custodia.spec
	echo "$(RPMBUILD)/RPMS"


.PHONY: dockerbuild dockerdemo dockerdemoinit dockershell dockerreleasebuild
dockerbuild:
	rm -f dist/custodia*.whl
	$(PYTHON) setup.py bdist_wheel
	$(DOCKER_CMD) build $(DOCKER_BUILD_ARGS) \
		-f contrib/docker/Dockerfile \
		-t $(DOCKER_IMAGE) .

dockerdemo: dockerbuild
	@mkdir -p -m755 $(CONTAINER_VOL)/lib $(CONTAINER_VOL)/log $(CONTAINER_VOL)/run
	@echo "$$CUSTODIA_CLI_SCRIPT" > $(CONTAINER_CLI)
	@chmod 755 $(CONTAINER_CLI)
	@echo "Custodia CLI: $(CONTAINER_CLI)"

	@$(DOCKER_CMD) rm $(CONTAINER_NAME) >/dev/null 2>&1|| true
	$(DOCKER_CMD) run \
	    --name $(CONTAINER_NAME) \
	    --user $(shell id -u):$(shell id -g) \
	    -e CREDS_UID=$(shell id -u) -e CREDS_GID=$(shell id -g) \
	    -v $(CONTAINER_VOL)/lib:/var/lib/custodia:Z \
	    -v $(CONTAINER_VOL)/log:/var/log/custodia:Z \
	    -v $(CONTAINER_VOL)/run:/var/run/custodia:Z \
	    $(DOCKER_IMAGE):latest \
	    /usr/bin/custodia /etc/custodia/demo.conf

dockerdemoinit:
	$(CONTAINER_VOL)/custodia-cli mkdir /container
	$(CONTAINER_VOL)/custodia-cli set /container/key value
	$(CONTAINER_VOL)/custodia-cli get /container/key

dockershell:
	$(DOCKER_CMD) exec -ti $(CONTAINER_NAME) /bin/bash

dockerreleasebuild:
	$(MAKE) dockerbuild \
	    DOCKER_BUILD_ARGS="$(DOCKER_RELEASE_ARGS)" \
	    DOCKER_IMAGE="$(DOCKER_IMAGE):$(VERSION)" && \
	echo -e "\n\nRun: $(DOCKER_CMD) push $(DOCKER_IMAGE):$(VERSION)"

=== debian/changelog ===
custodia (0.5.0-3) unstable; urgency=medium

  * control: Drop configparser from python3-custodia Depends, it's
    shipped by python3 itself.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Dec 2017 20:49:20 +0200

custodia (0.5.0-2) unstable; urgency=medium

  * control: Add python-configparser, -cryptography and -six to depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Dec 2017 12:39:07 +0200

custodia (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control, copyright, watch: Update upstream urls.
  * control: Add VCS urls.
  * control: Fix python3-custodia Depends. (Closes: #867397)
  * Bump debhelper to 10.
  * control: Bump policy to 4.1.2, no changes.
  * patches: Delete upstreamed patches.
  * rules: Drop obsolete moving of files.
  * Don't run servertests, and disable installing dependencies via an
    env variable instead of patching.
  * control: Add python-requests to b-deps/deps.
  * control: Add python-systemd to b-deps/deps.
  * rules: Add python3 tests, override dh_clean.
  * control: Bump python-jwcrypto2 dependency to 0.4.2.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2017 10:44:08 +0200

custodia (0.1.0-6) unstable; urgency=medium

  * disable-intersphinx.diff: Disable intersphinx, which would download
    stuff from the net. (Closes: #834587)
  * control: Fix section. (Closes: #832203)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Oct 2016 09:37:22 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: custodia
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Section: python
+Section: admin
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  pep8,
  pylint,
@@ -12,28 +12,35 @@
  python-all (>= 2.6.6-3),
  python-coverage,
  python-flake8,
- python-jwcrypto,
+ python-jwcrypto (>= 0.4.2),
  python-pep8-naming,
  python-pytest,
+ python-requests,
  python-setuptools,
  python-six,
+ python-systemd,
  python3-all (>= 2.6.6-3),
  python3-coverage,
  python3-flake8,
- python3-jwcrypto,
+ python3-jwcrypto (>= 0.4.2),
  python3-pep8-naming,
  python3-pytest,
+ python3-requests,
  python3-setuptools,
  python3-six,
+ python3-systemd,
  tox,
-Standards-Version: 3.9.6
-Homepage: https://github.com/simo5/custodia
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/custodia.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/custodia.git
+Homepage: https://github.com/latchset/custodia
 
 Package: custodia
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
  python-custodia,
- python-jwcrypto,
+ python-jwcrypto (>= 0.4.2),
+ python-six,
 Description: Modular and pluggable Secrets Manager
  Custodia allows one to serve retrieve, manage and store secrets for other
  applications. It is useful for distributed, stateless applications that use
@@ -44,7 +51,11 @@
 Package: python-custodia
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
- python-jwcrypto,
+ python-configparser,
+ python-cryptography,
+ python-jwcrypto (>= 0.4.2),
+ python-requests,
+ python-systemd,
 Description: Python bindings to Custodia -- Modular and pluggable Secrets Manager
  Custodia allows one to serve retrieve, manage and store secrets for other
  applications. It is useful for distributed, stateless applications that use
@@ -56,8 +67,11 @@
 
 Package: python3-custodia
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python3-jwcrypto,
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-cryptography,
+ python3-jwcrypto (>= 0.4.2),
+ python3-requests,
+ python3-systemd,
 Description: Python3 bindings to Custodia -- Modular and pluggable Secrets Manager
  Custodia allows one to serve retrieve, manage and store secrets for other
  applications. It is useful for distributed, stateless applications that use

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 02 Oct 2015 13:26:38 +0300
export PYBUILD_NAME=custodia

# don't download packages
export PIP_INDEX_URL=http://host.invalid./

# Don't try to download dnspython3. The package is provided by python-dnspython
export PIP_NO_DEPS=yes

# Ignore all install packages to enforce installation of sdist. Otherwise tox
# may pick up this package from global site-packages instead of source dist.
export PIP_IGNORE_INSTALLED=yes

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	tox --sitepackages -e py27 -- --skip-servertests
	tox --sitepackages -e py36 -- --skip-servertests

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/custodia/usr/share/doc
	find debian/python*/ -name '*.egg-info' -exec rm '{}' ';'
	find debian/.*/ -name 'LICENSE' -exec rm '{}' ';'
	for i in bin share/doc/custodia share/man; do \
		rm -rf debian/python3-custodia/usr/$$i; done

override_dh_clean:
	dh_clean
	rm -f .coverage.*
	rm -rf .tox
	rm -rf src/custodia.egg-info

## custodia 0.6.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 TOX := $(PYTHON) -m tox --sitepackages
 DOCS_DIR = docs
 SERVER_SOCKET = $(CURDIR)/server_socket
+QUICK_GUIDE = docs/source/quick
+QUICK_SOCKET = $(QUICK_GUIDE)/quick
 
 RPMBUILD = $(CURDIR)/dist/rpmbuild
 
@@ -35,7 +37,7 @@
 	echo "All tests passed"
 
 clean_socket:
-	rm -f $(SERVER_SOCKET) $(CONTAINER_SOCKET)
+	rm -f $(SERVER_SOCKET) $(CONTAINER_SOCKET) $(QUICK_SOCKET)
 
 clean_coverage:
 	rm -f .coverage .coverage.*
@@ -55,15 +57,17 @@
 	find ./ -depth -name __pycache__ -exec rm -rf {} \;
 	rm -rf tests/tmp
 	rm -rf vol
+	rm -f $(QUICK_GUIDE)/quick.audit.log \
+	    $(QUICK_GUIDE)/quick.db \
+	    $(QUICK_GUIDE)/quick.key
 
 cscope:
 	git ls-files | xargs pycscope
 
 test: clean_socket clean_coverage
-	$(TOX) --skip-missing-interpreters -e py27
-	$(TOX) --skip-missing-interpreters -e py34
-	$(TOX) --skip-missing-interpreters -e py35
-	$(TOX) --skip-missing-interpreters -e py36
+	$(TOX) --skip-missing-interpreters -e py27-extra,py27-noextra
+	$(TOX) --skip-missing-interpreters -e py35-extra,py35-noextra
+	$(TOX) --skip-missing-interpreters -e py36-extra,py36-noextra
 	$(TOX) --skip-missing-interpreters -e doc
 	$(TOX) -e coverage-report
 
@@ -82,7 +86,7 @@
 	PYTHONPATH=$(CURDIR)/src \
 	    $(MAKE) -C $(DOCS_DIR) html SPHINXBUILD="$(PYTHON) -m sphinx"
 
-.PHONY: install egg_info run packages release releasecheck
+.PHONY: install egg_info run quickrun packages release releasecheck
 install: clean_socket egg_info
 	$(PYTHON) setup.py install --root "$(PREFIX)"
 	install -d "$(PREFIX)/share/man/man7"
@@ -123,6 +127,10 @@
 run: egg_info
 	$(PYTHON) $(CURDIR)/bin/custodia $(CONF)
 
+quickrun: egg_info
+	@ # sed -n -e 's/.*\$$ \(alias\|curl\)/\1/p' docs/source/quick.rst
+	@ # sed 's,./quick,$(QUICK_SOCKET),g'
+	$(PYTHON) bin/custodia $(QUICK_GUIDE)/quick.conf
 
 .PHONY: rpmroot rpmfiles rpm
 rpmroot:

=== debian/changelog ===
custodia (0.6.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on python3-pep8 (Closes: #1093285)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 13:17:54 +0100

custodia (0.6.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:44:18 +0200

custodia (0.6.0-5) unstable; urgency=medium

  * control: Build-depend on python3-pep8 instead of pep8. (Closes:
    #949939)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2020 21:05:02 +0200

custodia (0.6.0-4) unstable; urgency=medium

  * Team upload
  * Switch pylint3 to pylint, the former is now a cruft package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 15:25:09 +0100

custodia (0.6.0-3) unstable; urgency=medium

  * Migrate to python3. (Closes: #939100)
  * control: Bump policy to 4.4.0.
  * control: Add adduser to custodia depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Sep 2019 23:59:40 +0300

custodia (0.6.0-2) unstable; urgency=medium

  * rules: Set locale so we get an error msg if something goes wrong
    with the build.
  * rules: Disable the tests for now.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Dec 2018 01:51:51 +0200

custodia (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump dh to 11.
  * control: Update maintainer list address.
  * control: Update vcs urls.
  * control: Drop pylint3 from build-depends for now, it's not
    installable.
  * Add content to custodia, including daemon, cli script, systemd
    service files etc.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 Aug 2018 21:53:55 +0300

=== debian/control ===
Source: custodia
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pylint,
 python3-all (>= 2.6.6-3),
 python3-coverage,
 python3-flake8,
 python3-jwcrypto (>= 0.4.2),
 python3-pep8-naming,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-systemd,
 tox,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/freeipa-team/custodia.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/custodia
Homepage: https://github.com/latchset/custodia

Package: custodia
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 adduser,
 python3-custodia,
 python3-jwcrypto (>= 0.4.2),
 python3-six,
Description: Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.

Package: python3-custodia
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-cryptography,
 python3-jwcrypto (>= 0.4.2),
 python3-requests,
 python3-systemd,
Description: Python3 bindings to Custodia -- Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.
 .
 This package includes the bindings for python3.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 02 Oct 2015 13:26:38 +0300
export PYBUILD_NAME=custodia

# don't download packages
export PIP_INDEX_URL=http://host.invalid./

# Don't try to download dnspython3. The package is provided by python3-dnspython
export PIP_NO_DEPS=yes

# Ignore all install packages to enforce installation of sdist. Otherwise tox
# may pick up this package from global site-packages instead of source dist.
export PIP_IGNORE_INSTALLED=yes

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
#	tox --sitepackages -e py36 -- --skip-servertests

override_dh_install:
	mkdir -p debian/tmp/usr/bin debian/tmp/usr/sbin
	mv debian/python3-custodia/usr/bin/custodia-cli debian/tmp/usr/bin
	mv debian/python3-custodia/usr/bin/custodia debian/tmp/usr/sbin
	rm -rf debian/python3-custodia/usr/bin

	dh_install

override_dh_clean:
	dh_clean
	rm -f .coverage.*
	rm -rf .tox
	rm -rf src/custodia.egg-info

=== debian/watch ===
# please also check http://pypi.debian.net/custodia/watch
version=3
https://github.com/latchset/custodia/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
